Subject: Re: [PATCH 1/3 net-next v3] net: ethernet: ixp4xx: Add DT bindings

From: Andrew Lunn <[email-masked]>
Date: Fri, 23 Apr 2021 16:49:19 +0200

On Fri, Apr 23, 2021 at 10:22:06AM +0200, Linus Walleij wrote:
> This adds device tree bindings for the IXP4xx ethernet
> controller with optional MDIO bridge.

Hi Linus

That optional MDIO bus sentence is important here. I think it would be
good to give examples for say IXP43x, where the MDIO bus is on NPE-C,
and the phy-handles point from one Ethernet device in the device tree
to the other. It is not unknown, but it is unusual, so giving an
example is good.

Also, looking at the unmodified driver, there is the global variable
mdio_bus. This should contain the one MDIO bus for the cluster. With
the C code, it should be impossible for multiple devices to
instantiate an MDIO bus. But with device tree, is that still true?
Should there be validation that only one device has an MDIO bus in its
device tree?

       Andrew